[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.Owner

Owner of the tree node instance.

## Declaration

Source position: comctrls.pp line 3168

`public property TTreeNode.Owner : TTreeNodes read FOwner;`

## Description

Owner is a read-only TTreeNodes property with the container that owns the current TTreeNode instance. The property value is assigned in the Create method to the argument value passed to the constructor.

Owner provides access to the properties and methods in the TTreeNodes instance, including the tree view control which owns the container.

## See also

TTreeNode.Create |  | Constructor for the class instance.
TTreeNodes.Owner |  | The TCustomTreeView control that is the owner of the container.
TCustomTreeView.Items |  | The container with the TTreeNode instances for the control.